import { Strategy, StrategyOptions } from 'workbox-strategies/Strategy.js';
import { StrategyHandler } from 'workbox-strategies/StrategyHandler.js';
import '../_version.js';
declare class PrecacheStrategy extends Strategy {
    constructor(options: StrategyOptions);
    _handle(request: Request, handler: StrategyHandler): Promise<Response>;
    _handleFetch(request: Request, handler: StrategyHandler): Promise<Response>;
    _handleInstall(request: Request, handler: StrategyHandler): Promise<Response>;
    /**
     * Returns true if any users plugins were added containing their own
     * `cacheWillUpdate` callback.
     *
     * This method indicates whether the default cacheable response logic (i.e.
     * <400, including opaque responses) should be used. If a custom plugin
     * with a `cacheWillUpdate` callback is passed, then the strategy should
     * defer to that plugin's logic.
     *
     * @private
     */
    _usesCustomCacheableResponseLogic(): boolean;
}
export { PrecacheStrategy };
